Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1553680

Summary: Enable NSS FIPS startup tests in Fedora
Product: [Fedora] Fedora Reporter: Kai Engert (:kaie) (inactive account) <kengert>
Component: nssAssignee: Daiki Ueno <dueno>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dueno, elio.maldonado.batiz, hkario, kdudka, kengert, rrelyea
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: nss-3.37.3-1.1.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-06-19 15:44:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Kai Engert (:kaie) (inactive account) 2018-03-09 10:06:12 UTC
The Fedora nss-* packages should enable the FIPS startup tests.

Comment 1 Daiki Ueno 2018-03-14 10:01:26 UTC
Is my understanding correct that it would be sufficient to add NSS_FORCE_FIPS=1 in the %build of nss-softokn.spec?

I have pushed it to rawhide:
https://src.fedoraproject.org/rpms/nss-softokn/c/91a55abc47abb2235559276288ae71b1efc1f454?branch=master
and started the build.

Comment 2 Kai Engert (:kaie) (inactive account) 2018-03-14 11:13:42 UTC
Yes, I think so, sorry for not making that clear immediately.

Comment 3 Fedora Update System 2018-06-07 09:15:09 UTC
nss-3.37.3-1.1.fc28 nss-softokn-3.37.3-1.1.fc28 nss-util-3.37.3-1.0.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-38d2c74097

Comment 4 Fedora Update System 2018-06-07 13:18:55 UTC
nss-3.37.3-1.1.fc28, nss-softokn-3.37.3-1.1.fc28, nss-util-3.37.3-1.0.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-38d2c74097

Comment 5 Fedora Update System 2018-06-19 15:44:01 UTC
nss-3.37.3-1.1.fc28, nss-softokn-3.37.3-1.1.fc28, nss-util-3.37.3-1.0.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-06-20 01:49:03 UTC
nss-3.37.3-1.1.fc28, nss-softokn-3.37.3-1.1.fc28, nss-util-3.37.3-1.0.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.